## robocode
Class PaintEvent

    java.lang.Object
      robocode.Event
          robocode.PaintEvent

All Implemented Interfaces:
  Serializable, Comparable

    public final class PaintEvent

extends Event

This event occurs when your robot should paint, where the `onPaint()` is called on your robot.

You can use this event for setting the event priority by calling `setEventPriority("PaintEvent", priority)`

Author:
  Flemming N. Larsen (original)
See Also:
  Serialized Form

Constructor Summary
`PaintEvent()` Called by the game to create a new PaintEvent.

Method Summary

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaintEvent

    public PaintEvent()

  Called by the game to create a new PaintEvent.

Copyright © 2010 Robocode. All Rights Reserved.